package haskell.prelude;

import haskell.lang.Class;

/**
 * class (Num a, Ord a) => Real a
 */
public interface Real<A extends Real<A>>
        extends Class<A>,
                Num<A>,
                Ord<A> {

    abstract class Support<A extends Real<A>>
            extends Num.Support<A> {

        protected Support(final java.lang.Class<A> a) {
            super(a);
        }

    }

}
